public static interface WebsocketEndpointBuilderFactory.WebsocketBuilders
| Modifier and Type | Method and Description |
|---|---|
default WebsocketEndpointBuilderFactory.WebsocketEndpointBuilder |
websocket(String path)
Jetty Websocket (camel-websocket)
Expose websocket endpoints using Jetty.
|
default WebsocketEndpointBuilderFactory.WebsocketEndpointBuilder |
websocket(String componentName,
String path)
Jetty Websocket (camel-websocket)
Expose websocket endpoints using Jetty.
|
default WebsocketEndpointBuilderFactory.WebsocketEndpointBuilder websocket(String path)
websocket:host:port/resourceUri
Path parameter: host
The hostname. The default value is 0.0.0.0. Setting this option on
the component will use the component configured value as default.
Default value: 0.0.0.0
Path parameter: port
The port number. The default value is 9292. Setting this option on
the component will use the component configured value as default.
Default value: 9292
Path parameter: resourceUri (required)
Name of the websocket channel to usepath - host:port/resourceUridefault WebsocketEndpointBuilderFactory.WebsocketEndpointBuilder websocket(String componentName, String path)
websocket:host:port/resourceUri
Path parameter: host
The hostname. The default value is 0.0.0.0. Setting this option on
the component will use the component configured value as default.
Default value: 0.0.0.0
Path parameter: port
The port number. The default value is 9292. Setting this option on
the component will use the component configured value as default.
Default value: 9292
Path parameter: resourceUri (required)
Name of the websocket channel to usecomponentName - to use a custom component name for the endpoint
instead of the default namepath - host:port/resourceUriApache Camel